1. 19 Jul, 2019 1 commit
  2. 12 Jul, 2019 2 commits
    • Paul Wise's avatar
      Do not try to remove sha1 cache and changelog files that do not exist · 78d400f7
      Paul Wise authored
      Traceback (most recent call last):
        File "bin/remove-obsolete-new-packages", line 178, in <module>
          remove(sha1_cache_path, 'file from sha1 cache')
        File "bin/remove-obsolete-new-packages", line 122, in remove
          os.rmdir(os.path.dirname(path))
        File "/usr/lib/python3.5/posixpath.py", line 148, in dirname
          i = p.rfind(sep) + 1
      AttributeError: 'NoneType' object has no attribute 'rfind'
      
      Traceback (most recent call last):
        File "bin/remove-obsolete-new-packages", line 181, in <module>
          remove(changelog_path, 'changelog file')
        File "bin/remove-obsolete-new-packages", line 122, in remove
          os.rmdir(os.path.dirname(path))
        File "/usr/lib/python3.5/posixpath.py", line 148, in dirname
          i = p.rfind(sep) + 1
      AttributeError: 'NoneType' object has no attribute 'rfind'
      78d400f7
    • Paul Wise's avatar
      Do not try to remove symlinks for sha1 hash type · 090177c2
      Paul Wise authored
      The sha1 hash type is the target of symlinks,
      not a source of symlinks.
      
      Traceback (most recent call last):
        File "bin/remove-obsolete-new-packages", line 178, in <module>
          remove(hash_cache_path, 'symlink from %s cache' % hash_type)
        File "bin/remove-obsolete-new-packages", line 121, in remove
          os.rmdir(os.path.dirname(path))
        File "/usr/lib/python3.5/posixpath.py", line 148, in dirname
          i = p.rfind(sep) + 1
      AttributeError: 'NoneType' object has no attribute 'rfind'
      090177c2
  3. 09 Jul, 2019 1 commit
  4. 03 May, 2019 2 commits
  5. 02 May, 2019 3 commits
  6. 20 Apr, 2019 1 commit
    • David Kalnischkies's avatar
      Send VALIDSIG message as well from fakegpgv · 7bba0a99
      David Kalnischkies authored
      APTs gpgv method now expects the gpg process it is calling to produce
      both a GOODSIG and a VALIDSIG message, to be able to report back which
      key was used to sign the file for additional checks.
      
      Symptom of the missing VALIDSIG is apt failing with:
      E: Internal Error: Signature on ... seems good, but expected details are missing! (Signed-By)
      
      References: apt commit 7bf533967fb385b9625a1ee4dd7c6542a84b489c
      Reported-By: Paul Wise's avatarPaul Wise <pabs@debian.org>
      7bba0a99
  7. 13 Apr, 2019 6 commits
    • Paul Wise's avatar
      Register an intent to git add the Planet Debian derivatives heads · f02cbc03
      Paul Wise authored
      This makes the compare-images script display new heads too.
      f02cbc03
    • Paul Wise's avatar
      Note that Python 3 tinycss/cssselect are needed for rendering CSS-styled SVGs · 612be6f3
      Paul Wise authored
      They are optional in the current version of CairoSVG but
      will become mandatory in version 2 of CairoSVG.
      
      Fixes: rendering of Cumulus Linux logo
      612be6f3
    • Paul Wise's avatar
      Create thumbnails of SVG renderings too · 0c383918
      Paul Wise authored
      In some situations CairoSVG does not use the requested width/height.
      
      See-also: https://github.com/Kozea/CairoSVG/issues/152
      Fixes: commit 8dfc4111
      0c383918
    • Paul Wise's avatar
      Pass the logo filename as the url parameter · 6c846c40
      Paul Wise authored
      Otherwise the file data never gets read by cairosvg.
      
      Fixes: commit 8dfc4111
      
      Traceback (most recent call last):
        File "bin/logo-to-planet-head", line 45, in <module>
          process_svg()
        File "bin/logo-to-planet-head", line 35, in process_svg
          parent_height=default_size[1])
        File "/usr/lib/python3/dist-packages/cairosvg/__init__.py", line 43, in <lambda>
          surface_type.convert(*args, **kwargs))(_surface_type)
        File "/usr/lib/python3/dist-packages/cairosvg/surface/__init__.py", line 103, in convert
          tree = Tree(**kwargs)
        File "/usr/lib/python3/dist-packages/cairosvg/parser.py", line 270, in __init__
          tree = ElementTree.fromstring(bytestring)
        File "src/lxml/lxml.etree.pyx", line 3213, in lxml.etree.fromstring (src/lxml/lxml.etree.c:79003)
        File "src/lxml/parser.pxi", line 1848, in lxml.etree._parseMemoryDocument (src/lxml/lxml.etree.c:118334)
        File "src/lxml/parser.pxi", line 1729, in lxml.etree._parseDoc (src/lxml/lxml.etree.c:116892)
        File "src/lxml/parser.pxi", line 1063, in lxml.etree._BaseParser._parseUnicodeDoc (src/lxml/lxml.etree.c:110879)
        File "src/lxml/parser.pxi", line 595, in lxml.etree._ParserContext._handleParseResultDoc (src/lxml/lxml.etree.c:105102)
        File "src/lxml/parser.pxi", line 706, in lxml.etree._handleParseResult (src/lxml/lxml.etree.c:106810)
        File "src/lxml/parser.pxi", line 635, in lxml.etree._raiseParseError (src/lxml/lxml.etree.c:105664)
        File "<string>", line 1
      lxml.etree.XMLSyntaxError: Start tag expected, '<' not found, line 1, column 1
      6c846c40
    • Paul Wise's avatar
      Detect the file type of the logo image instead of the extension · d9fac4b6
      Paul Wise authored
      The logo image name is always 'logo-img' no matter the format and
      thus never ends in .svg even if it is an SVG file.
      
      Fixes: commit 8dfc4111
      d9fac4b6
    • Paul Wise's avatar
      Use an OrderedDict instead of a set for storing Planet config snippets · 8ca5bf55
      Paul Wise authored
      This should make the planet config snippet deterministic
      and ordered by the order that it was generated in again.
      
      Fixes: commit 9e53bb2c
      8ca5bf55
  8. 12 Apr, 2019 4 commits
  9. 11 Apr, 2019 2 commits
  10. 08 Apr, 2019 1 commit
    • Paul Wise's avatar
      Use a more elaborate fallback system for changelog files that fail to load · 24491625
      Paul Wise authored
      Explictly try UTF-8, sometimes that works when implicitly does not.
      
      Warn about the invalid changelog file instead of crashing.
      
      Traceback (most recent call last):
        File "bin/compare-source-package-list", line 803, in get_changelog_entries
          changelog_obj = changelog.Changelog(changelog_file)
        File "/usr/lib/python3/dist-packages/debian/changelog.py", line 269, in __init__
          strict=strict)
        File "/usr/lib/python3/dist-packages/debian/changelog.py", line 308, in parse_changelog
          for line in file:
        File "/usr/lib/python3.5/codecs.py", line 321, in decode
          (result, consumed) = self._buffer_decode(data, self.errors, final)
      UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe1 in position 144: invalid continuation byte
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "bin/compare-source-package-list", line 1180, in <module>
          files, patches, links, new = process_sources(source_entries, lists_dir)
        File "bin/compare-source-package-list", line 1158, in process_sources
          actions = check_source_package(source_entry, srcpkg)
        File "bin/compare-source-package-list", line 1103, in check_source_package
          derived_from = find_derived_from(tmp_dir, name, version, dsc_name, dsc_sha1, parts_unmodified)
        File "bin/compare-source-package-list", line 832, in find_derived_from
          changelog_entries = get_changelog_entries(tmp_dir, dsc_name, dsc_sha1)
        File "bin/compare-source-package-list", line 806, in get_changelog_entries
          changelog_obj = changelog.Changelog(changelog_file, encoding='iso-8859-1')
        File "/usr/lib/python3/dist-packages/debian/changelog.py", line 269, in __init__
          strict=strict)
        File "/usr/lib/python3/dist-packages/debian/changelog.py", line 308, in parse_changelog
          for line in file:
        File "/usr/lib/python3.5/codecs.py", line 321, in decode
          (result, consumed) = self._buffer_decode(data, self.errors, final)
      UnicodeDecodeError: 'utf-8' codec can't decode byte 0xe1 in position 144: invalid continuation byte
      
      Traceback (most recent call last):
        File "bin/compare-source-package-list", line 803, in get_changelog_entries
          changelog_obj = changelog.Changelog(changelog_file)
        File "/usr/lib/python3/dist-packages/debian/changelog.py", line 269, in __init__
          strict=strict)
        File "/usr/lib/python3/dist-packages/debian/changelog.py", line 308, in parse_changelog
          for line in file:
        File "/usr/lib/python3.5/codecs.py", line 321, in decode
          (result, consumed) = self._buffer_decode(data, self.errors, final)
      UnicodeDecodeError: 'utf-8' codec can't decode byte 0xfc in position 401: invalid start byte
      
      During handling of the above exception, another exception occurred:
      
      Traceback (most recent call last):
        File "bin/compare-source-package-list", line 1180, in <module>
          files, patches, links, new = process_sources(source_entries, lists_dir)
        File "bin/compare-source-package-list", line 1158, in process_sources
          actions = check_source_package(source_entry, srcpkg)
        File "bin/compare-source-package-list", line 1103, in check_source_package
          derived_from = find_derived_from(tmp_dir, name, version, dsc_name, dsc_sha1, parts_unmodified)
        File "bin/compare-source-package-list", line 832, in find_derived_from
          changelog_entries = get_changelog_entries(tmp_dir, dsc_name, dsc_sha1)
        File "bin/compare-source-package-list", line 806, in get_changelog_entries
          changelog_obj = changelog.Changelog(changelog_file, encoding='iso-8859-1')
        File "/usr/lib/python3/dist-packages/debian/changelog.py", line 269, in __init__
          strict=strict)
        File "/usr/lib/python3/dist-packages/debian/changelog.py", line 308, in parse_changelog
          for line in file:
        File "/usr/lib/python3.5/codecs.py", line 321, in decode
          (result, consumed) = self._buffer_decode(data, self.errors, final)
      UnicodeDecodeError: 'utf-8' codec can't decode byte 0xfc in position 401: invalid start byte
      24491625
  11. 24 Mar, 2019 2 commits
  12. 09 Mar, 2019 1 commit
  13. 08 Mar, 2019 6 commits
    • Anastasia Tsikoza's avatar
      Remove unnecessary FIXME and process missing patches' parts · cf75ce64
      Anastasia Tsikoza authored
      The FIXME isn't needed anymore since all the patches now have
      the last seen metadata. But some patches added by the
      fixup-sources-patches script don't have hashes of the parts.
      This commit handles the situation when the 'parts' key is
      not present for some patch.
      
      Traceback (most recent call last):
        File "bin/remove-expired-patches", line 286, in <module>
          remove_all_files(patch)
        File "bin/remove-expired-patches", line 219, in remove_all_files
          remove_files(patch)
        File "bin/remove-expired-patches", line 193, in remove_files
          sha1_hashes.extend(patch['parts'])
      KeyError: 'parts'
      cf75ce64
    • Anastasia Tsikoza's avatar
      Pass str argument instead of datetime.date to the days_passed function · a4ee25c9
      Anastasia Tsikoza authored
      Switching to yaml.CSafeLoader has led last seen metadata
      to stop being defined as a datetime.date object, now it is
      considered a str.
      This commit changes the type of since_when argument of the
      days_passed function and the type of last_seen and first_seen
      variables in the has_expired.
      
      Traceback (most recent call last):
        File
      "bin/remove-expired-patches",line 284, in <module>
          if has_expired(patch):
        File "bin/remove-expired-patches", line 102, in has_expired
          return obsolete_patches_storage_period < days_passed(last_seen)
        File "bin/remove-expired-patches", line 73, in days_passed
          return datetime.utcnow().date() - since_when
      TypeError: unsupported operand type(s) for -: 'datetime.date' and 'str'
      a4ee25c9
    • Anastasia Tsikoza's avatar
      Transform the list of parts into a tuple before writing to the log · 4a6e9b88
      Anastasia Tsikoza authored
      action_patch format: (str, str, str, str, str, str, list, tuple)
      
      Fixes: commit 4bba5c54
      4a6e9b88
    • Anastasia Tsikoza's avatar
      Store hashes of new packages in a tuple · b4d2654c
      Anastasia Tsikoza authored
      Fixes: commit 9a4e50b3
      
      Traceback (most recent call last):
        File "bin/compare-source-package-list", line 1257, in <module>
          data = list(set(data))
      TypeError: unhashable type: 'list'
      b4d2654c
    • Anastasia Tsikoza's avatar
      Transform the list of hashes into a tuple before writing to the sources.log · 4e1f024b
      Anastasia Tsikoza authored
      action_new format: (str, str, str, list)
      
      Fixes: commit 4bba5c54
      
      Traceback (most recent call last):
        File "bin/compare-source-package-list", line 1180, in <module>
          files, patches, links, new = process_sources(source_entries,
      lists_dir)
        File "bin/compare-source-package-list", line 1172, in process_sources
          logging.debug('action: return links to new source packages %s', '
      '.join([action for action in action_new[0:3] + action_new[3]]))
      TypeError: can only concatenate tuple (not "list") to tuple
      4e1f024b
    • Anastasia Tsikoza's avatar
      Handle actions in the process_sources function correctly · 4bba5c54
      Anastasia Tsikoza authored
      action_new format: [str, str, str, list]
      action_patch format: [str, str, str, str, str, str, list, tuple]
      
      We now first extract the str objects from the list and tuple actions
      and concatenate them to the lists of str actions so that they won't
      be written into the log like this:
      
      return patches a d w a i t a - i c o n - t h e m e 3 . 1 8 . 0 - 2 a e e
      9 0 a d b 2 0 b b f c 8 3 0 6 d 0 3 f 5 7 a c d 8 4 2 b 4 4 b 8 1 1 f 3
      7 a d w a i t a - i c o n - t h e m e 3 . 1 8 . 0 - 2 e n d l e s s 2 6
      8 c 1 7 b 3 4 e e d d 9 6 3 3 9 d a 4 6 f 7 3 4 e d 7 a b b e a a e 8 3
      f c 9 d677e81a130e15e6b3e28cec40037e8ad1920aea
      a/adwaita-icon-theme/Debian_adwaita-icon-theme_3.18.0-2_Endless_adwaita-
      icon-theme_3.18.0-2endless2.patch a/adwaita-icon-theme/Debian_adwaita-icon
      -theme_3.18.0-2_Endless_adwaita-icon-theme_3.18.0-2endless2.debian.patch
      
      Traceback (most recent call last):
        File "bin/compare-source-package-list", line 1180, in <module>
          files, patches, links, new = process_sources(source_entries, lists_dir)
        File "/bin/compare-source-package-list", line 1172, in process_sources
          logging.debug('action: return links to new source packages %s', ' '.join(action_new))
      TypeError: sequence item 3: expected str instance, list found
      4bba5c54
  14. 07 Mar, 2019 8 commits